# How to initialize WProofreader in several text fields with different languages?

There is an option to start WProofreader in different text fields with different predefined settings, like a language. It can be archived with the **setLang** method.

1\. Initialize WProofreader using the **init() method** if you clearly know in which field you want to initialize WProofreader which provides additional management options.

2\. Specify the appropriate language **shortcode** in the **setLang** in **WEBSPELLCHECKER.init.** For example, using it in combination with the [**getInstances()**](https://webspellchecker.com/docs/api/wscbundle/WEBSPELLCHECKER.html#.getInstances) method.

```javascript
WEBSPELLCHECKER.getInstances()[0].setLang('NEW_LANGUAGE_CODE')
```

3\. Also, it's recommended to disable synchronizing of languages between all the created WProofreader instances. It's enabled by default. To disable it using **syncOptions** in **WEBSPELLCHECKER\_CONFIG** as shown below. Please note that this option also handles synchronization of the spell check ignore options.

```javascript
syncOptions: false,
```

4\. If needed, disable storing of the user-selected language between browser sessions using **disableOptionsStorage** in **WEBSPELLCHECKER\_CONFIG**.

If it's not done, the user-selected language will be saved in the browser local storage until it's cleared and the predefined options will be of no effect.

```javascript
disableOptionsStorage: [lang],
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wproofreader.com/integrations/how-tos/how-to-initialize-wproofreader-in-several-text-fields-with-different-languages.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
